<template>
  <!-- <div v-if="role=='访客'" class="app-container">
 <el-empty  description="暂无权限"></el-empty>
</div> -->
  <div class="app-container">

    <!-- <el-empty description="描述文字"></el-empty> -->

    <el-table v-loading="listLoading" :data="list" element-loading-text="Loading" border fit height="100%"
      class="table-container" highlight-current-row>
      <el-table-column fixed label="ID" width="80" >
        <template slot-scope="scope">
          {{ scope.row.id }}
        </template>
      </el-table-column>
      <el-table-column label="公司名称" width="200">
        <template slot-scope="scope">
          {{ scope.row.companyname }}
        </template>
      </el-table-column>
      <el-table-column label="地图名称" width="90">
        <template slot-scope="scope">
          {{ scope.row.mapname }}
        </template>
      </el-table-column>
      <el-table-column label="地图类型" width="90">
        <template slot-scope="scope">
           在线地图
        </template>
      </el-table-column>
      <el-table-column label="默认显示级别" width="110">
        <template slot-scope="scope">
          {{ scope.row.level }}
        </template>
      </el-table-column>
      <el-table-column label="中心坐标" >
        <template slot-scope="scope">
          {{ scope.row.center}}
        </template>
      </el-table-column>
      <el-table-column label="视角角度"  width="100">
        <template slot-scope="scope">
          {{ scope.row.shijiao}}
        </template>
      </el-table-column>
      <el-table-column label="高度" width="70">
        <template slot-scope="scope">
          {{ scope.row.heig}}
        </template>
      </el-table-column>
      <el-table-column label="瓦片文件" width="120">
        <template slot-scope="scope">
          {{ scope.row.file}}
        </template>
      </el-table-column>
      <el-table-column label="是否显示" width="100">
        <template slot-scope="scope">
          {{ scope.row.ishow}}
        </template>
      </el-table-column>
      <el-table-column label="坐标系" width="70">
        <template slot-scope="scope">
          {{ scope.row.ishow}}
        </template>
      </el-table-column>
      <el-table-column label="更新时间" width="170">
        <template slot-scope="scope">
          {{ scope.row.addtime}}
        </template>
      </el-table-column>
      <el-table-column  label="操作" width="100"  v-if="uupdate=='Yes'">
        <template slot-scope="scope">
          <el-button-group>
            <el-button v-if="uupdate=='Yes'" type="primary" icon="el-icon-edit" size="mini" @click="edit(scope)">
              修改
            </el-button>
           
          </el-button-group>
        </template>
      </el-table-column>
    </el-table>

    <pagination v-show="total > 0" :total="total" :page.sync="listQuery.current" :limit.sync="listQuery.size"
      @pagination="fetchData" />
      
    <el-dialog :visible.sync="dialogVisible" :title="dialogType === 'modify' ? '修改' : '新增'">
      <el-form ref="dataForm" :model="temp" label-width="120px" label-position="right">
        <el-form-item label="序号">
          <el-input v-model="temp.id
        " placeholder="请输入提示类型" />
        </el-form-item>
        <el-form-item label="地图名称">
          <el-input v-model="temp.mapname
        " placeholder="请输入地图名称" />
        </el-form-item>
        <el-form-item label="中心坐标">
          <el-input v-model="temp.center
        " placeholder="请输入中心坐标" />
        </el-form-item>
        <el-form-item label="视角角度">
          <el-input v-model="temp.shijiao
        " placeholder="请输入视角角度" />
        </el-form-item>
        <el-form-item label="高度">
          <el-input v-model="temp.heig
        " placeholder="请输入高度" />
        </el-form-item>
      </el-form>
      <div class="text-right">
        <el-button type="danger" @click="dialogVisible = false">
          取消
        </el-button>
        <el-button type="primary" @click="submit">
          确定
        </el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>

import Pagination from '@/components/Pagination'
import { getBaidumapPage,  addorupBaidumap,addSystemOperationLog } from '@/api/baidumap'
import { deepClone } from '@/utils'

const _temp = {
  id: '',
  hdsv: '',
  mapname: '',
  ndsv: '',
  edsv: '',
}

export default {
  components: {
    Pagination
  },
  data() {
    return {
      role:localStorage.getItem('role'),
      uadd:'',
      udelete:'',
      uupdate:'',
      total: 0,
      list: [],
      menus: [],
      listLoading: true,
      listQuery: {
        current: 1,
        size: 20,
        username:localStorage.getItem('username'),
        keyword: undefined,
      },
      uploadUrl: '',
      temp: Object.assign({}, _temp),
      dialogVisible: false,
      dialogType: 'create',
      loading: false
    }
  },
  created() {
    this.fetchData()
  },
  methods: {
    // 搜索

    refresh() {
      this.listQuery = {
        current: 1,
        size: 20,
        username:localStorage.getItem('username'),
        keyword: undefined
      }
      this.fetchData()
    },
    // 分页数据
    fetchData() {
      this.uadd = localStorage.getItem('uadd') || '';
      this.udelete = localStorage.getItem('udelete') || '';
      this.uupdate = localStorage.getItem('uupdate') || '';
      this.listLoading = true
      getBaidumapPage(this.listQuery).then(response => {
        this.list = response.data.records
        this.total = response.data.total
        this.listLoading = false
      })
    },
    resetTemp() {
      this.temp = Object.assign({}, _temp)
    },
    edit(scope) {
      this.resetTemp()
      this.dialogVisible = true
      this.dialogType = 'modify'
      this.temp = deepClone(scope.row)
      // this.$nextTick(() => {
      //   this.$refs['dataForm'].clearValidate()
      // })
    },
    changeStatus(value, scope) {
      setTimeout(() => {
        this.list[scope.$index].status = value
        this.$message({
          message: '更新成功',
          type: 'success'
        })
      }, 300)
    },
    // 删除

    submit() {
      if (this.loading) {
        return
      }
      this.loading = true
      addorupBaidumap(this.temp).then(() => {
        this.temp.adminname = localStorage.getItem('username') || '';
            const params = { name:  this.temp.adminname, content: '修改了一个地图管理，该地图名称为：'+this.temp.mapname };
            addSystemOperationLog(params).then(response => {

                        })
        this.fetchData()
        setTimeout(() => {
          this.$message({
            message: '提交成功',
            type: 'success'
          })
          this.dialogVisible = false
          this.loading = false
        }, 300)
      })
    }
  }
}
</script>


<style lang="scss" scoped>
.el-upload {
  border: 1px dashed #d9d9d9 !important;
  border-radius: 6px;
  cursor: pointer;
  position: relative;
  overflow: hidden;

  .el-icon-plus.avatar-uploader-icon {
    border: 1px dashed #d9d9d9 !important;
    border-radius: 6px;
    font-size: 28px;
    color: #8c939d;
    width: 128px;
    height: 128px;
    line-height: 128px;
    text-align: center;
  }
}

.avatar-uploader {
  height: 128px;

  img {
    width: 128px;
    height: 128px;
  }
}
</style>
